#include "PointT.h"
#include <cmath>

PointT::PointT(double x, double y)
{
  this->xc = x;
  this->yc = y;
}

double PointT::xcoord()
{
  return this->xc;
}

double PointT::ycoord()
{
  return this->yc;
}

double PointT::distToOrigin()
{
  double dx;
  double dy;

  dx = this->xc;
  dy = this->yc;

  return sqrt(pow(dx,2.0) + pow(dy,2.0));
}

std::ostream& operator<< (std::ostream &out, const PointT& point)
{
  //From http://www.learncpp.com/cpp-tutorial/93-overloading-the-io-operators/
  // Since operator<< is a friend of the Point class, we can access Point's members directly.
  out << "PointT(" << point.xc << ", " << point.yc << ")";
 
  return out;
}
